<ion-content>
  <div class="header-search" fxLayout="row">
    <div [fxFlex]="50" style="height: 100%" fxLayoutAlign="start center">
      <img src="assets/img/mbaku-side-logo.png" alt="" class="logo-side ion-margin-start">
    </div>
    <!-- <div fxLayoutAlign="end end" class="ic-download">
      <ion-icon name="cloud-download"></ion-icon>
    </div> -->
  </div>

  <div class="ion-padding-top" fxLayout="row">
    <div [fxFlex]="83" class="search-ebook">
        <ion-searchbar debounce="1000" (keyup)="isClickTitle = false" (ionChange)="!isClickTitle ? searchTitle($event) : ''"  [(ngModel)]="formData.keyword"
         placeholder="Cari Ebook..." style="height: 50px;margin-left: 3px;"></ion-searchbar>  
    </div>
    <div [fxFlex]="17" (click)="filter()">
        <ion-icon name="funnel" class="ic-filter"></ion-icon>
    </div>
          
  </div>

  <ion-list *ngIf="titleList?.length > 0 && !isLoading" class="ion-padding-start ion-padding-end">
    <ion-item lines="full" [hidden]="titleList?.length == 0" *ngFor="let list of titleList"
      (click)="searchBook(list?.ebookTitle)">
      <ion-icon name="search" slot="start"></ion-icon>
      <ion-label>{{list?.ebookTitle}}</ion-label>
    </ion-item>
  </ion-list>

  <div fxLayout="row" class="badge-category" *ngIf="titleList?.length == 0 && !isLoading">
    <div (click)="sortBy('')" [fxFlex]="35" class="padding-5">
      <div class="badge-round-outline" [ngClass]="{'badge-active': selectedSortBy == ''}">
        <ion-label>Semua</ion-label>
      </div>
    </div>

    <div [fxFlex]="35"  (click)="sortBy('ebooknew')" class="padding-5">
      <div class="badge-round-outline" [ngClass]="{'badge-active': selectedSortBy == 'ebooknew'}">
        <ion-label>Terbaru</ion-label>
      </div>
    </div>
    <div [fxFlex]="35" (click)="sortBy('popular')" class="padding-5">
      <div class="badge-round-outline" [ngClass]="{'badge-active': selectedSortBy == 'popular'}">
        <ion-label>Terpopuler</ion-label>
      </div>
    </div>
  </div>

  <div *ngIf="titleList?.length == 0 && !isLoading">
    <ion-card mode="ios" class="perpus" *ngFor="let list of ebookList">
      <ion-grid (click)="gotoDetail(list?.ebookID,list)">
        <ion-row>
          <ion-col size="4">
            <img [src]="storagePath.storageEbookCover(list?.ebookCover,list?.libraryID)" alt=""
              onerror="this.onerror=null;this.src='assets/img/image-not-found.png';">
          </ion-col>
          <ion-col size="8" class="ion-padding-top">
            <h5 class="sparator">
              {{list?.ebookTitle}}
            </h5>
            <p color="primary">{{list?.categoryTitle}}</p>
            <div fxLayout="row">
              <p class="sparator color-secondary"> Rp. {{list?.ebookPrice}}</p>
              <div class="ion-text-end ic-love">
                <span>{{list?.totalRate}}{{list?.totalRate >= 100 ? '+' :''}}</span>
                <ion-icon name="heart-empty"></ion-icon>
              </div>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card>
  </div>

  <div *ngIf="!isLoading && ebookList?.length == 0" class="img-not-found ion-padding ion-text-center">
    <div><img src="../../../assets/img/book-not-found.png"></div>
    <div><h5>Tidak ada yang ditampilkan</h5></div>
  </div>
  
  <!-- Skeleton screen -->
  <div *ngIf="isLoading">
    <ion-card mode="ios" class="perpus" *ngFor="let i of [1,2,3,4,5,6]">
      <ion-item lines="none">
        <ion-thumbnail slot="start" class="skeleton-thumbs">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
        <ion-label>
          <h3>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </h3>
          <p>
            <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          </p>
          <br>
          <p>
            <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
          </p>
          <p>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </p>
        </ion-label>
      </ion-item>
    </ion-card>
  </div>

  <ion-infinite-scroll threshold="100px" (ionInfinite)="doInfinite($event,formData.page)">
    <ion-infinite-scroll-content loadingSpinner="crescent">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

</ion-content>